package cn.superdesk.uniorder.service.organisation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.organisation.SysCliqueOrg;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-04-28 14:08:25
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-04-28 14:08:25
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface SysCliqueOrgService extends BaseService<SysCliqueOrg> {


    /****************************************** extends BaseService 部分 start ******************************************/

    int insertSelective(SysCliqueOrg entity);

    int updateByPrimaryKeySelective(SysCliqueOrg entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    SysCliqueOrg findById(Long id);

    @Deprecated
    PageInfo<SysCliqueOrg> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<SysCliqueOrg> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    void addSysCliqueOrg(SysCliqueOrg entity);

    void updateSysCliqueOrg(SysCliqueOrg entity);

    void deleteSysCliqueOrg(Long id);

    SysCliqueOrg findSysCliqueOrgById(Long id);

    R<List<SysCliqueOrg>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

    /****************************************** kafka start ******************************************/

    void kafkaMergeReceiveCliqueOrg(SysCliqueOrg sysCliqueOrgEntity);

    void kafkaDeleteReceiveCliqueOrg(SysCliqueOrg sysCliqueOrgEntity);

    /****************************************** kafka   end ******************************************/


}